# Packmangroup: Libraries
# Packmanpackagename: boost
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>The Boost web site provides free peer-reviewed portable C++ source libraries. The emphasis is on libraries which work well with the C++ Standard Library. One goal is to establish &quot;existing practice&quot; and provide reference implementations so that the Boost libraries are suitable for eventual standardization. Some of the libraries have already been proposed for inclusion in the C++ Standards Committee's upcoming C++ Standard Library Technical Report.</p><p>Although Boost was begun by members of the C++ Standards Committee Library Working Group, membership has expanded to include nearly two thousand members of the C++ community at large.</p>
# Packmanpackagedesc_de: <p>Die Boost-Webseite stellt freie, gepr&uuml;fte und portable C++ Sourcen und Bibliotheken zur Verf&uuml;gung. Die Beweggr&uuml;nde sind, eine Bibliothek bereitzustellen, die gut mit der C++ Standardbibliothek zusammenarbeitet. Ein Ziele ist es, sich bereits eingeb&uuml;rgerte erweiterte Praktiken zu etablieren und eine Referenzimplementierung bereitzustellen, so dass die Boost Bibliotheken eventuell in den Standard aufgenommen werden k&ouml;nnen. Einige der Bibliotheken wurden bereits dem C++ Standard Komitee f&uuml;r die Aufnahme in den kommenden &quot;C++ Standard Library Technical Report&quot; vorgeschlagen.</p><p>Boost wurde auch von Mitgliedern der &quot;C++ Standards Committee Library Working Group&quot; ins Leben gerufen, und umfasst mittlerweile fast zweitausend Mitglieder aus der C++ Community.</p>

#
# spec file for package boost (Version 1.32.0)
#

Name:           boost
Summary:        Boost C++ Libraries
Summary(de):    Boost C++ Bibliotheken
Version:        1.32.0
Release:        0.pm.1
Group:          Development/Libraries/C and C++
License:        Boost Software License
URL:            http://www.boost.org

Source0:        boost_1_32_0.tar.bz2

Patch0:         boost-no_prevent_merging.patch
Patch1:         boost-threading.patch
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _prefix /usr

%description
The Boost web site provides free peer-reviewed portable C++ source
libraries. The emphasis is on libraries which work well with the C++
Standard Library. One goal is to establish "existing practice" and
provide reference implementations so that the Boost libraries are
suitable for eventual standardization. Some of the libraries have
already been proposed for inclusion in the C++ Standards Committee's
upcoming C++ Standard Library Technical Report.

Although Boost was begun by members of the C++ Standards Committee
Library Working Group, membership has expanded to include nearly two
thousand members of the C++ community at large.

This package contains the dynamic libraries. For development using
Boost, you also need the boost-devel package. For documentation, see
the boost-doc package.

%description -l de
Die Boost-Webseite stellt freie, geprüfte und portable C++ Sourcen und
Bibliotheken zur Verfügung. Die Beweggründe sind, eine Bibliothek
bereitzustellen, die gut mit der C++ Standardbibliothek zusammenarbeitet.
Ein Ziele ist es, sich bereits eingebürgerte erweiterte Praktiken zu
etablieren und eine Referenzimplementierung bereitzustellen, so dass
die Boost Bibliotheken eventuell in den Standard aufgenommen werden
können. Einige der Bibliotheken wurden bereits dem C++ Standard Komitee
für die Aufnahme in den kommenden "C++ Standard Library Technical Report"
vorgeschlagen.

Boost wurde auch von Mitgliedern der "C++ Standards Committee Library
Working Group" ins Leben gerufen, und umfasst mittlerweile fast
zweitausend Mitglieder aus der C++ Community.

Dieses Paket umfasst die dynamischen Bibliotheken. Zur Entwicklung mit
Boost wird auch das boost-devel Paket benötigt. Die Dokumentation ist
im boost-doc Paket zu finden.

%package devel
Summary:      Development package for Boost C++
Summary(de):  Entwicklungspakete für Boost C++
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version}
# Packmandepends: boost

%description devel
This package contains all that is needed to develop/compile
applications that use the Boost C++ libraries. For documentation see
the package boost-doc.

%description devel -l de
Dieses Paket enthält alles was zur Entwicklung oder zum compilieren von
Anwendungen welche die Boost C++ Bibliotheken verwenden. Die Dokumentation
ist im boost-doc Paket zu finden.

%package doc
Summary:      Documentation package for Boost C++
Summary(de):  Paket mit der Dokumentation für Boost C++
Group:        Development/Libraries/C and C++
Requires:     %{name}-devel = %{version}
# Packmandepends: boost-devel

%description doc
This package contains the documentation for Boost C++.

%description doc -l de
Dieses Paket enthält die Dokumentation zu Boost C++.

%prep
%setup -q -n %{name}_1_32_0
find -name .cvsignore|xargs rm -f
#everything in the tarball has the executable flag set ......
find -type f| xargs chmod -x
find -name \*.sh -o -name \*.py -o -name \*.pl|xargs chmod +x
cd tools/build/jam_src
/bin/sh ./build.sh
install -m 755 bin.*/* ../../../
cd ../../../
%patch0
%patch1

%build
find . -type f|xargs chmod u+w
mkdir .backup
tar -cf - $(find . -name \*.htm\* -o -name \*.gif -o -name \*.css -o -name \*.jpg)| tar -C .backup -xf -
rm -rf .backup/boost
ln -s /usr/include/boost .backup
export PYTHON_ROOT=/usr
export PYTHON_VERSION=%{py_ver}
export PYTHON_LIB_PATH=%{_libdir}/python%{py_ver}/config
./bjam -d2 -sTOOLS=gcc -sBUILD="release <threading>single/multiple"

%install
export PYTHON_ROOT=/usr
export PYTHON_VERSION=%{py_ver}
export PYTHON_LIB_PATH=%{_libdir}/python%{py_ver}/config
./bjam -d2 -sTOOLS=gcc \
	-sBUILD="release <threading>single/multiple" \
	--prefix=%{buildroot}%{_prefix} \
	--libdir=%{buildroot}%{_libdir} install
mv %{buildroot}%{_includedir}/boost-1_32/boost %{buildroot}%{_includedir}
rmdir %{buildroot}%{_includedir}/boost-1_32
chmod -R u+rw,go+rX %{buildroot}%{_prefix}
for i in %{buildroot}%{_libdir}/libboost_*-1_32.a; do
    rm ${i/-1_32}
    ln -s `basename $i` ${i/-1_32}
done
for i in %{buildroot}%{_libdir}/libboost_*-1_32.so; do
    rm ${i/-1_32}
    ln -s `basename $i.1.32.0` ${i/-1_32}
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/boost

%files doc
%defattr(-,root,root)
%doc .backup/*

%changelog -n boost
* Sun Nov 21 2004 - Manfred.Tremmel@iiv.de
- Update to 1.32.0
* Fri Oct 22 2004 - Manfred.Tremmel@iiv.de
- synchronisation with the packages from SuSE 9.1
* Thu Feb 12 2004 - Manfred.Tremmel@iiv.de
- Initial version: 1.31.0
